Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063491 - subscription-manager environments report should not report "None" for descriptions that are null
Summary: subscription-manager environments report should not report "None" for descrip...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Carter Kozak
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel70
TreeView+ depends on / blocked
 
Reported: 2014-02-10 20:54 UTC by John Sefler
Modified: 2014-09-15 00:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 10:29:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description John Sefler 2014-02-10 20:54:02 UTC
Description of problem:
When the json returned from the server contains a null description, the subscription-manager CLI report should not report "None".  It should report an empty string.  See example below....

[root@jsefler-7 ~]# subscription-manager environments --serverurl=https://katellosach.usersys.redhat.com:443/katello/api --username=admin --org redhat
Password: 
+-------------------------------------------+
          Environments
+-------------------------------------------+
Name:        Library
Description: None           <======= SHOULD BE EMPTY

Name:        dev/pubcv1
Description: 

Name:        Library/pubcv1
Description: 




[root@jsefler-7 ~]# curl --stderr /dev/null --insecure --user admin:**** --request GET https://katellosach.usersys.redhat.com/katello/api/owners/redhat/environments | python -m simplejson/tool
[
    {
        "description": null,
        "display_name": "Library",
        "id": "2",
        "name": "Library"
    },
    {
        "description": "",
        "display_name": "dev",
        "id": "3-3",
        "name": "dev/pubcv1"
    },
    {
        "description": "",
        "display_name": "Library",
        "id": "2-3",
        "name": "Library/pubcv1"
    }
]


Version-Release number of selected component (if applicable):
[root@jsefler-7 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 1.4.15-1.el6-Katello
subscription-manager: 1.10.13-1.git.6.b5029f9.el7
python-rhsm: 1.10.12-1.git.0.9d3a8c6.el7

Comment 1 Adrian Likins 2014-02-10 22:22:11 UTC
Why is the description being returned as null?

Comment 2 Carter Kozak 2014-02-11 18:53:47 UTC
commit d86e05cb8cea77274b04a9ab1e7f53b74a8b837c
Author: ckozak <ckozak@redhat.com>
Date:   Mon Feb 10 16:00:28 2014 -0500

    1063491: print empty string rather than None

Comment 5 John Sefler 2014-02-14 04:06:07 UTC
Verifying Version...
[root@jsefler-7 ~]# subscription-manager versionserver type: Red Hat Subscription Management
subscription management server: 1.4.15-1.el6-Katello
subscription-manager: 1.10.14-1.el7
python-rhsm: 1.10.12-1.el7

[root@jsefler-7 ~]# curl --stderr /dev/null --insecure --user admin:admin --request GET https://katellosach.usersys.redhat.com/katello/api/owners/redhat/environments | python -m simplejson/tool
[
    {
        "description": null,              <============ NULL
        "display_name": "Library",
        "id": "2",
        "name": "Library"
    },
    {
        "description": "",
        "display_name": "dev",
        "id": "3-3",
        "name": "dev/pubcv1"
    },
    {
        "description": "",
        "display_name": "Library",
        "id": "2-3",
        "name": "Library/pubcv1"
    }
]


[root@jsefler-7 ~]# subscription-manager environments --serverurl=https://katellosach.usersys.redhat.com:443/katello/api
Username: admin
Password: 
Organization: redhat
+-------------------------------------------+
          Environments
+-------------------------------------------+
Name:        Library
Description:                              <============ VERIFIED

Name:        dev/pubcv1
Description: 

Name:        Library/pubcv1
Description:

Comment 6 Ludek Smid 2014-06-13 10:29:01 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.